Skip to main content
GET
Search Series

Request contract

  • Method and path: GET /apis/v1/fred/series/search
  • Availability: enabled
  • Request URL template: https://api.aisa.one/apis/v1/fred/series/search
  • exclude_tag_names: query; optional
  • file_type: query; optional
  • filter_value: query; optional
  • filter_variable: query; optional
  • limit: query; optional
  • offset: query; optional
  • order_by: query; optional
  • realtime_end: query; optional
  • realtime_start: query; optional
  • search_text: query; required
  • search_type: query; optional
  • sort_order: query; optional
  • tag_names: query; optional
  • Runtime facts: 99b84812775a5b511e5b561db33dbfe37ed3954afbc7b30caf10377dcd683c23
Complete OpenAPI definition Effective request and pricing declaration (including authentication and referenced schemas):

Cost and request rules

Published reference price: $0.00001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.
  • Default request reference estimate (USD): 1e-05
  • Cost contract: fixed_success
  • Settlement evidence source: request_snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

exclude_tag_names
string

A semicolon delimited list of tag names that series match none of. String, optional, no filtering by tags by default. Example value: 'discontinued;m1'. Filter results to series having neither tag 'discontinued' nor tag 'm1'. Parameter exclude_tag_names requires that parameter tag_names also be set to limit the number of matching series.

file_type
enum<string>
default:xml

A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.

Available options:
xml,
json
filter_value
string

The value of the filter_variable attribute to filter results by. String, optional, no filter by default

filter_variable
enum<string>

The attribute to filter results by. One of the following strings: 'frequency', 'units', 'seasonal_adjustment'. optional, no filter by default

Available options:
frequency,
units,
seasonal_adjustment
limit
integer
default:1000

The maximum number of results to return. integer between 1 and 1000, optional, default: 1000

Required range: 1 <= x <= 1000
offset
integer
default:0

non-negative integer, optional, default: 0

Required range: x >= 0
order_by
enum<string>

Order results by values of the specified attribute. One of the following strings: 'search_rank', 'series_id', 'title', 'units', 'frequency', 'seasonal_adjustment', 'realtime_start', 'realtime_end', 'last_updated', 'observation_start', 'observation_end', 'popularity', 'group_popularity'. optional, default: If the value of search_type is 'full_text' then the default value of order_by is 'search_rank'. If the value of search_type is 'series_id' then the default value of order_by is 'series_id'.

Available options:
search_rank,
series_id,
title,
units,
frequency,
seasonal_adjustment,
realtime_start,
realtime_end,
last_updated,
observation_start,
observation_end,
popularity,
group_popularity
realtime_end
string<date>

The end of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date

realtime_start
string<date>

The start of the real-time period. For more information, see Real-Time Periods . YYYY-MM-DD formatted string, optional, default: today's date

search_text
string
required

The words to match against economic data series.

search_type
enum<string>
default:full_text

Determines the type of search to perform. One of the following strings: 'full_text', 'series_id'. 'full_text' searches series attributes title, units, frequency, and tags by parsing words into stems. This makes it possible for searches like 'Industry' to match series containing related words such as 'Industries'. Of course, you can search for multiple words like 'money' and 'stock'. Remember to url encode spaces (e.g. 'money%20stock'). 'series_id' performs a substring search on series IDs. Searching for 'ex' will find series containing 'ex' anywhere in a series ID. '' can be used to anchor searches and match 0 or more of any character. Searching for 'ex' will find series containing 'ex' at the beginning of a series ID. Searching for 'ex' will find series containing 'ex' at the end of a series ID. It's also possible to put an '' in the middle of a string. 'm*sl' finds any series starting with 'm' and ending with 'sl'. optional, default: full_text.

Available options:
full_text,
series_id
sort_order
enum<string>

Sort results is ascending or descending order for attribute values specified by order_by. One of the following strings: 'asc', 'desc'. optional, default: If order_by is equal to 'search_rank' or 'popularity', then the default value of sort_order is 'desc'. Otherwise, the default sort order is 'asc'.

Available options:
asc,
desc
tag_names
string

A semicolon delimited list of tag names that series match all of. String, optional, no filtering by tags by default Example value: 'usa;m2'. Filter results to series having both tags 'usa' and 'm2'. See the related request fred/tags .

Response

Successful response